function [cFiles,isCancelled] = askUserForFiles(str)
%askUserForFiles Helper function for asking users for files.
%
%  Call:
%    [cFiles,isCancelled] = askUserForFiles(str)
%
%--------------------------------------------------------------------------
%
%   Elio Sjak-Shie, August 2019.
%    https://physiodatatoolbox.leidenuniv.nl/
%
%--------------------------------------------------------------------------

% Ask user for file:
[fileNames, filePath] = uigetfile(str,'Please select the files'...
    ,'MultiSelect','on');
if isequal(fileNames,0)
    isCancelled = true;
    return
else
    isCancelled = false;
    if ischar(fileNames)
        fileNameC = {fileNames};
    else
        fileNameC = fileNames;
    end
    cFiles = strcat(filePath,'\',fileNameC);
end
end