function batchRunFunctionOnFiles(hFunc,cFiles,varargin)
%batchRunFunction Helper function for batch running a functions.
%
%  Call:
%    batchRunFunction(hFunc,cFiles,varargin)
%
%--------------------------------------------------------------------------
%
%   Elio Sjak-Shie, August 2019.
%    https://physiodatatoolbox.leidenuniv.nl/
%
%--------------------------------------------------------------------------

% Loop through files and run function:
startTimer = tic;
nFiles = numel(cFiles);
fprintf('\n  Processing %i files...\n',nFiles);
for curFileIndx = 1 : nFiles
    feval(hFunc,cFiles{curFileIndx},varargin{:});
    minsLeft = (toc(startTimer)*((nFiles/curFileIndx)-1))/60;
    fprintf('\n  Done with file %i of %i (approx. %.2f mins left).\n\n'...
        ,curFileIndx,nFiles,minsLeft);
end

end


