function outV = nanIndex(inIndx,inSig)
% Indexes into a function while ingnoring NaNs.
%
% TODO: generalize for matrices, add info.
%
%--------------------------------------------------------------------------

% Input checks:
assert(isvector(inIndx));
assert(isvector(inSig));

% Preallocate the out as a NaN array with the same size as the input:
outV = NaN(size(inIndx));

% Use the nonNaN indexes to index into the inSig, and copy those values to
% the corresponding element in the outV:
outV(~isnan(inIndx)) = inSig(inIndx(~isnan(inIndx)));

end