function timeOut = sample2time(sampleIn,fs)
%sample2time Converts sample numbers to time.
%
%  timeOut = sample2time(sampleIn,fs)
%
% This function places sample 1 at t = 0, and assumes equadistant spacings
% of 1/fs.
%
% This represents the sample <-> time convention used by the Toolbox.
% See also timeVector() and time2sample();
%
% Elio Sjak-Shie, 2018
%--------------------------------------------------------------------------

% Convert sample to time:
timeOut = (sampleIn-1)/fs;
assert(~any(rem(sampleIn(:),1)~=0),'SampleIn must be integers');

end
